| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes | List of all members
Tp::ServicePointInfo Struct Reference
Structure types

`#include <TelepathyQt/Types>`

## Public Attributes

ServicePoint | servicePoint
QStringList | serviceIDs

## Detailed Description

Structure type generated from the specification.

Description of a service point and IDs which are mapped to it. An example Service Point info for GSM emergency calls (callable through "911" and "112") could look like: ServicePointInfo = ( Service_Point: ( Service_Point_Type: 1 (Emergency), Service_Point: "urn:service:sos" ), Service_IDs: [ "911", "112" ] )

## Member Data Documentation

ServicePoint Tp::ServicePointInfo::servicePoint

The service point.

QStringList Tp::ServicePointInfo::serviceIDs

A list of IDs that are mapped to this service. This is provided as a convenience for the UIs, but the preferred method for requesting channel to a service is by setting the InitialServicePoint property in a channel request.